Subject: bug#59208: 29.0.50; tab-bar-auto-width plus display space cpu spin

From: Aaron Jensen <[email-masked]>
Date: Mon, 14 Nov 2022 09:50:24 -0500

On Mon, Nov 14, 2022 at 2:54 AM Juri Linkov <[email-masked]> wrote:
>
> >> But I believe that all cases should be fixed now
> >> by the commit 443bd35e86.
> >
> > Thanks, confirmed.
> >
> > As an aside, auto-width doesn't work very well when using a
> > variable-pitch font for your tab bar. Specifically, for me it doesn't
> > take up the full width when I have enough tabs that would fill that
> > width.
>
> Sorry, I don't understand the problem.  It doesn't take up the full width
> of the tab bar?  Does it fill the whole tab bar when you customize
> tab-bar-auto-width-max to nil?

No, it does not. It's not computing the overall width of the window
correctly or something like that: https://share.cleanshot.com/otuZj4